Bug 216178 - [css-logical] Ship CSS flow-relative shorthand and offset properties
Summary: [css-logical] Ship CSS flow-relative shorthand and offset properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Oriol Brufau
URL:
Keywords: InRadar, WebExposed
Depends on: 188697 189441
Blocks: 185977
  Show dependency treegraph
 
Reported: 2020-09-04 08:21 PDT by Oriol Brufau
Modified: 2020-09-06 10:07 PDT (History)
16 users (show)

See Also:


Attachments
Patch (86.98 KB, patch)
2020-09-04 08:24 PDT, Oriol Brufau
no flags Details | Formatted Diff | Diff
Patch (1.21 MB, patch)
2020-09-04 12:11 PDT, Oriol Brufau
no flags Details | Formatted Diff | Diff
Patch (1.21 MB, patch)
2020-09-04 13:52 PDT, Oriol Brufau
no flags Details | Formatted Diff | Diff
Patch (1.21 MB, patch)
2020-09-04 15:35 PDT, Oriol Brufau
no flags Details | Formatted Diff | Diff
Patch (1.08 MB, patch)
2020-09-05 12:04 PDT, Oriol Brufau
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oriol Brufau 2020-09-04 08:21:03 PDT
Bug 188386 and bug 189441 implemented some logical properties behind a runtime flag.
Specifically:
- border-block, border-block-color, border-block-style, border-block-width
- border-inline, border-inline-color, border-inline-style, border-inline-width
- inset-block-start, inset-block-end, inset-inline-start, inset-inline-end
- inset, inset-block, inset-inline
- margin-block, margin-inline
- padding-block, padding-inline

It should be fine to ship them enabled by default.
Chromium is shipping them in version 87 (https://crbug.com/538475)
Firefox already shipped them quite some time ago.
Comment 1 Oriol Brufau 2020-09-04 08:24:00 PDT
Created attachment 407974 [details]
Patch
Comment 2 EWS Watchlist 2020-09-04 08:25:09 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Oriol Brufau 2020-09-04 10:51:18 PDT
(In reply to Oriol Brufau from comment #0)
> Bug 188386 and bug 189441 implemented some logical properties behind a runtime flag.
Sorry, I meant bug 188697 and bug 189441.
Comment 4 Oriol Brufau 2020-09-04 12:11:16 PDT
Created attachment 408009 [details]
Patch
Comment 5 Oriol Brufau 2020-09-04 13:52:06 PDT
Created attachment 408020 [details]
Patch
Comment 6 Oriol Brufau 2020-09-04 15:35:19 PDT
Created attachment 408035 [details]
Patch
Comment 7 Darin Adler 2020-09-05 09:08:47 PDT
You will need to rebase after r266660.
Comment 8 Oriol Brufau 2020-09-05 12:04:14 PDT
Created attachment 408092 [details]
Patch
Comment 9 EWS 2020-09-05 17:11:45 PDT
Committed r266674: <https://trac.webkit.org/changeset/266674>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 408092 [details].
Comment 10 Radar WebKit Bug Importer 2020-09-06 10:07:24 PDT
<rdar://problem/68429182>